Facebook Developers
DocsToolsSupportNewsApps
Log In
  • Social Plugins
    • Like Button
    • Send Button
    • Follow Button
    • Comments
    • Activity Feed
    • Recommendations Box
    • Recommendations Bar
    • Like Box
    • Login Button
    • Registration
    • Facepile
  • Facebook Login
  • Open Graph
  • Facebook APIs
  • Games
  • Payments
  • App Center
  • Promote Your App
  • iOS
  • Android
  • JavaScript
  • PHP
  • More SDKs
  • Plugins
    • Activity Feed
    • Comments
    • Facepile
    • Follow Button
    • Like Box
    • Like Button
    • Login Button
    • Recommendations Bar
    • Recommendations Box
    • Registration
    • Send Button
    • Share Dialog
    • Shared Activity
    • fb:name
    • fb:profile-pic
  • Beta Plugins
    • Migrations
      • Subscribe Button

    Activity Feed

    The Activity Feed plugin displays the most interesting recent activity taking place on your site. Since the content is hosted by Facebook, the plugin can display personalized content whether or not the user has logged into your site. The activity feed displays stories when users interact with content on your site, such as like, watch, read, play or any custom action. Activity is also displayed when users share content from your site in Facebook or if they comment on a page on your site in the Comments box. If a user is logged into Facebook, the plugin will be personalized to highlight content from their friends. If the user is logged out, the activity feed will show recommendations from across your site, and give the user the option to log in to Facebook.

    The plugin is filled with activity from the user's friends. If there isn't enough friend activity to fill the plugin, it is backfilled with recommendations. If you set the recommendations param to true, the plugin is split in half, showing friends activity in the top half, and recommendations in the bottom half. If there is not enough friends activity to fill half of the plugin, it will include more recommendations.

    The Activity Feed plugin can be configured in the following ways:

    • App ID
    • One or more action types
    • Domain

    App ID
    If you specify an App ID for the Activity Feed plugin, we will display all actions (built-in and custom) specified by the associated app ID. Note: if you are using the xfbml version of the plugin, you need to specify your application id when you initiate the Javascript library. If you are using the iframe version of the plugin you should pass in the id, as the 'app_id' parameter to the plugin.

    <fb:activity 
    site="http://www.jerrycain.com"
    app_id="118280394918580">
    </fb:activity>
    

    One or more action types
    To specify one or more action types to display in the Activity Feed plugin, you can specify a comma separated list of action types. The list of action types can include both built-in and custom actions.

    <fb:activity 
    site="http://www.jerrycain.com"
    action="critiqueapp:despise,critiqueapp:review,critiqueapp:grade">
    </fb:activity>
    

    Domain
    By specifying a domain to show activity for, we will display all built-in actions for the specified domain: like, read, watch, play, listen. The domain is matched exactly, so a plugin with site=facebook.com would not include activity from developers.facebook.com or www.facebook.com. You cannot currently aggregate across multiple domains.

    <fb:activity 
    site="http://www.jerrycain.com">
    </fb:activity>
    

    The plugin is available either via a simple iframe you can drop into your page, or if you are using the new JavaScript SDK, you can use the <fb:activity> XFBML tag.

    (?)
    (?)
    (?)
    (?)
    (?)
    Header (?)
    (?)
    light
    • light
    • dark
    (?)
    _blank
    • _blank
    • _top
    • _parent
    (?)
    • arial
    • lucida grande
    • segoe ui
    • tahoma
    • trebuchet ms
    • verdana
    Recommendations (?)
    Get Code

    Attributes

    • site - the domain for which to show activity. The XFBML version defaults to the current domain.
    • action - a comma separated list of actions to show activities for.
    • app_id - will display all actions, custom and built-in, associated with this app_id.
    • width - the width of the plugin in pixels. Default width: 300px.
    • height - the height of the plugin in pixels. Default height: 300px.
    • header - specifies whether to show the Facebook header.
    • colorscheme - the color scheme for the plugin. Options: 'light', 'dark'
    • font - the font to display in the plugin. Options: 'arial', 'lucida grande', 'segoe ui', 'tahoma', 'trebuchet ms', 'verdana'
    • recommendations - specifies whether to always show recommendations in the plugin. If recommendations is set to true, the plugin will display recommendations in the bottom half.
    • filter - allows you to filter which URLs are shown in the plugin. The plugin will only include URLs which contain the filter string in the first two path parameters of the URL. If nothing in the first two path parameters of the URL matches the filter, the URL will not be included. For example, if the 'site' parameter is set to 'www.example.com' and the 'filter' parameter was set to '/section1/section2' then only pages which matched 'http://www.example.com/section1/section2/*' would be included in the activity feed section of this plugin. The filter parameter does not apply to any recommendations which may appear in this plugin (see above); Recommendations are based only on 'site' parameter.
    • linktarget - This specifies the context in which content links are opened. By default all links within the plugin will open a new window. If you want the content links to open in the same window, you can set this parameter to _top or _parent. Links to Facebook URLs will always open in a new window.
    • ref - a label for tracking referrals; must be less than 50 characters and can contain alphanumeric characters and some punctuation (currently +/=-.:_). Specifying a value for the ref attribute adds the 'fb_ref' parameter to the any links back to your site which are clicked from within the plugin. Using different values for the ref parameter for different positions and configurations of this plugin within your pages allows you to track which instances are performing the best.
    • max_age - a limit on recommendation and creation time of articles that are surfaced in the plugins, the default is 0 (we don’t take age into account). Otherwise the valid values are 1-180, which specifies the number of days.

    What is the best way to know which plugin on my site generated the traffic?

    Add the 'ref' parameter to the plugin (see "Attributes" above).

    Examples:

    <fb:activity ref="homepage"></fb:activity>
    <iframe src="...&ref=homepage"></iframe>
    

    When a user clicks a link on the plugin, we will pass back the ref value as a fb_ref parameter in the referrer URL. Example:

    http://www.facebook.com/l.php?fb_ref=homepage
    
    Updated about 3 months ago
    Facebook © 2013 · English (US)
    AboutAdvertisingCareersPlatform PoliciesPrivacy Policy